/********************************************************/
/*                                                      */
/*               OO7 Benchmark                          */
/*                                                      */
/*              COPYRIGHT (C) 1993                      */
/*                                                      */
/*                Michael J. Carey 		        */
/*                David J. DeWitt 		        */
/*                Jeffrey Naughton 		        */
/*               Madison, WI U.S.A.                     */
/*                                                      */
/*	         ALL RIGHTS RESERVED                    */
/*                                                      */
/********************************************************/

/*
 * stats.c
 *
 * Member functions for the stats classes.
 */

#include <stdio.h>
#include <setjmp.h>
#include "stats_server.h"
#include "error_handler.h"

//extern "C" int      sm_GetRusage PROTO((struct rusage * ));

/*
 * The Start() function starts the collecting of stats
 * for a Unix process.
 */
void
ServerStats::Start() 
{
#if	0
    /*
     * Save the current stats in buffer area 1.
     */
    if (sm_GetRusage(&rusage1) != esmNOERROR) {
    	HANDLE_ERROR(sm_errno);
    }
    gettimeofday(&time1, NULL);

    if (sm_ServerStatistics(&serverStats1, FALSE) != esmNOERROR) {
    	HANDLE_ERROR(sm_errno);
    }
    gettimeofday(&time1, NULL);

    smPagesRead1 = serverStats1.diskReads;
    smPagesWrite1 = serverStats1.diskWrites;

    return;
#endif
}


/*
 * The Stop() function stops the collecting of stats
 * for a Unix process.
 */
void
ServerStats::Stop() 
{
#if	0
    /*
     * Save the current stats in buffer area 2.
     */
    if (sm_GetRusage(&rusage2) != esmNOERROR) {
	HANDLE_ERROR(sm_errno);
    }
    gettimeofday(&time2, NULL);

    if (sm_ServerStatistics(&serverStats2, FALSE) != esmNOERROR) {
	HANDLE_ERROR(sm_errno);
    }
    gettimeofday(&time2, NULL);

    smPagesRead2 = serverStats2.diskReads;
    smPagesWrite2 = serverStats2.diskWrites;

    return;
#endif
}
